Checkout
Daniel Shahaf
committed
on 23 Jul 15
Require Python ≥2.7 for Subversion 1.9, part 2: coding simplifications.

* build/generator/gen_win.py (hashlib_md5),
* build/transform_sql.p… Show more
Require Python ≥2.7 for Subversion 1.9, part 2: coding simplifications.

* build/generator/gen_win.py (hashlib_md5),

* build/transform_sql.py (operator.methodcaller),

* subversion/bindings/swig/python/svn/core.py (SubversionException.message),

* tools/dev/scramble-tree.py (hashlib_md5)

* tools/dist/release.py (__future__.with_statement):

   Remove conditional code for now-unsupported Python versions.

* subversion/bindings/ctypes-python/csvn/ext/callback_receiver.py

   Note a possible code simplification. Show less